*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

body{
    background:#0d1117;
    color:#fff;
    font-family:Consolas, monospace;
    display:flex;
    justify-content:center;
    align-items:center;
    height:100vh;
}

.typing{
    font-size:4rem;
    white-space:nowrap;
    overflow:hidden;
    border-right:4px solid #00e5ff;
    width:0;
    animation:
        typing 3s steps(13,end) forwards,
        blink .8s infinite;
}

@keyframes typing{
    from{
        width:0;
    }
    to{
        width:13ch;
    }
}

@keyframes blink{
    50%{
        border-color:transparent;
    }
}